import { defHttp } from '@/utils/axios/index'

export interface TokenParams {
  user_type: string
  grant_type: string
  invite_code: string
  phone: string
  phoneCode: string
  type: string
  inviteCode: string
}
export async function token(params: TokenParams) {
  return defHttp.post({
    url: `/hulk-auth/oauth/token?grant_type=${params.grant_type}&user_type=${params.user_type}&invite_code=${params.invite_code}&phone=${params.phone}&phoneCode=${params.phoneCode}&type=${params.type}&inviteCode=${params.inviteCode}`,
  }, {
    isTransformResponse: false,
  })
}

export async function sendCode(phone: string) {
  return defHttp.post({
    url: `/open-chat/unauth/sendSms?phone=${phone}`,
  })
}
