import { defineStore } from 'pinia'

export const useRechargeStore = defineStore('useRechargeStore', {
  state: () => {
    return {
      show: false,
    }
  },
  getters: {
    getStatus(): boolean {
      return this.show
    },
  },
  actions: {
    rechargeOpen() {
      this.show = true
    },
    rechargeClose() {
      this.show = false
    },
  },

})
