export {}

declare module 'vue-router' {
  interface RouteMeta extends Record<string | number | symbol, unknown> {
    orderNo?: number
    // 路由title  一般必填
    title: string
    // 是否忽略权限，只在权限模式为Role的时候有效
    ignoreAuth?: boolean
    // 是否固定标签
    affix?: boolean
    // 图标，也是菜单图标
    icon?: string
    // img on tab
    img?: string
    // 内嵌iframe的地址
    frameSrc?: string
  }
}
