import { defHttp } from '@/utils/axios/index'
import { ContentTypeEnum } from '@/enums/httpEnum'
import type { UploadFileResult } from '/#/axios'

export function uploadApi(data: FormData): Promise<UploadFileResult> {
  return defHttp.post(
    {
      url: '/hulk-system/hulk-resource/oss/endpoint/put-file',
      headers: {
        'Content-Type': ContentTypeEnum.FORM_DATA,
      },
      data,
    },
  )
}
