import { defHttp } from '@/utils/axios/index'

// 角色
export async function getRole(type: number) {
  return defHttp.get({
    url: `/open-chat/roleInfo/list?type=${type}`,
  })
}
// 应用
export function getAppList() {
  return defHttp.get({
    url: `/open-chat/roleInfo/app/group/list`,
  })
}

/**
 * @description: 获取角色描述
 */
export function getRoleDecs(roleId: string) {
  return defHttp.get({
    url: `/open-chat/roleInfo/getRoleDecs?id=${roleId}`,
  })
}
