import { defHttp } from '@/utils/axios/index'

// 商品分类tabs
export async function goodsType() {
  return defHttp.get({
    url: `/open-chat/sys/sys/dict/getDictItems/goods_type`,
  })
}
// 商品分类列表
export async function goodsList(params: {
  type: string
}) {
  return defHttp.get({
    url: `/open-chat/chatGoods/list`,
    params,
  })
}

// pc支付
export async function payment(data: {
  goodsId: string
  type: string
}) {
  return defHttp.post({
    url: `/open-chat/chat/pay/order`,
    data,
  })
}

// 是否支付成功

export async function getIsPay(params: {
  orderCode: string
}) {
  return defHttp.get({
    url: `/open-chat/chat/pay/getIsPay`,
    params,
  })
}
