import { defHttp } from '@/utils/axios/index'

// 签到详情
export async function current() {
  return defHttp.get({
    url: `/open-chat/logUserSign/current`,
  })
}
// 签到
export async function logUserSign() {
  return defHttp.post({
    url: `/open-chat/logUserSign/sign`,
  })
}
// 历史记录
export async function history(params: {
  yearAndMonth: string
}) {
  return defHttp.get({
    url: `/open-chat/logUserSign/history`,
    params,
  })
}
// 新手任务
export async function noviceTask() {
  return defHttp.get({
    url: `/open-chat/taskCenter/noviceTask/list`,
  })
}
// 做任务赚积分
export async function routineTask() {
  return defHttp.get({
    url: `/open-chat/taskCenter/routineTask/list`,
  })
}
// 每日任务列表
export async function dailyTask() {
  return defHttp.get({
    url: `/open-chat/taskCenter/dailyTask/list`,
  })
}
// 领取接口
export async function receiveAward(id: string) {
  return defHttp.post({
    url: `/open-chat/taskCenter/receiveAward?taskId=${id}`,
  })
}
