export interface UserStateType {
  token: string | null
  userInfo: string | null
  chatInfo: string | null
}

export interface UserInfoType {
  user_id: string
  avatar: string
  access_token: string
  token_type: string
  role_name: string
  user_name: string
  real_name: string
  nick_name: string
  chatCode: string
}

export interface ChatInfoType {
  id: string
  chatCode: string
  totalPoints: number
  messageCount: number
  createdDay: number
  newUserFlag: boolean
  inviteCode: string
  goodsName: string
  gpt35Num: number
  gpt40Num: number
  pictureNum: number
  imageAnalysisNum: number
  knowledgeBaseNum: string
}
