/// <reference types="vite/client" />
import type mqtt from 'mqtt'

interface ImportMetaEnv {
  NODE_ENV: string

  VITE_GLOB_APP_TITLE: string
  VITE_GLOB_APP_SHORT_NAME: string
  VITE_GLOB_BASE_URL: string
  VITE_GLOB_MQTT_HOST: string
  VITE_GLOB_MQTT_PORT: number
  VITE_GLOB_MQTT_PROTOCOL: mqtt.MqttProtocol
  VITE_GLOB_APP_AUTHORIZATION: string
  VITE_GLOB_APP_AUTHENTICATION_SCHEME: string
  VITE_GLOB_APP_TOKEN_SCHEME: string
  VITE_GLOB_APP_TOKEN_KEY: string
  VITE_GLOB_MQTT_USERNAME: string
  VITE_GLOB_MQTT_PASSWORD: string
}
